function splithalfmanagekaro(filename,filepath,mode)
%  

%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      


% prepare datamat
atedit=findobj('tag','atedit');
anzahlat=str2num(get(atedit,'String'));

teiledit=findobj('tag','teiledit');
parts=str2num(get(teiledit,'String'));





if mode==0
   modefehler
   return



% directory mode   
elseif mode==11
    cd (filepath);
    filelist=dir(filepath);
    filelistsize=size(filelist);
      
	% Schleife für Files
    for filezaehler=3:filelistsize(1)
        splithalfconkaro(filelist(filezaehler).name,filepath,parts,anzahlat);
    end
    ok
   
% batchfile mode   
elseif mode==12
   filemat=batchfiletomat(filename,filepath);
   filematgroessevec=size(filemat);
   filematgroesse=filematgroessevec(2);
   filemat{1}
   pause
   for l=1:filematgroesse
      splithalfconkaro(filemat{l},[],parts,anzahlat);
   end
   return
      
% single file mode   
elseif mode==2   
   splithalfconkaro(filename,filepath,parts,anzahlat);
   ok
  
end
return